summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorNicolas Iooss2017-02-04 10:14:58 +0100
committerNicolas Iooss2017-02-04 10:14:58 +0100
commit7e5c239cf77598a6df1c7312533bc63d4931414d (patch)
tree6771d32adeda4f3db616c5749e1c73c51ad3d39e
parenta00390997b56b89f086083224d7703083c17cbb1 (diff)
downloadaur-7e5c239cf77598a6df1c7312533bc63d4931414d.tar.gz
openssh-selinux: implement FS#52823
Skip tests on environments which do not provide scp, by using https://git.archlinux.org/svntogit/packages.git/commit/trunk?h=packages/openssh&id=a146f584c1be1e9d182928d589d4e3f865b5d965
-rw-r--r--PKGBUILD10
1 files changed, 7 insertions, 3 deletions
diff --git a/PKGBUILD b/PKGBUILD
index d093b797e10..1368df1fdc5 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -64,10 +64,14 @@ build() {
check() {
cd "${srcdir}/${pkgname/-selinux}-${pkgver}"
- make tests
-
- # Connectivity tests will fail with makechrootpkg since
+ [[ -e /.arch-chroot ]] && return
+ # Connectivity tests will fail under makechrootpkg since
# it runs as nobody which has /bin/false as login shell.
+
+ [[ -e /usr/bin/scp ]] || return
+ # Tests require openssh to be already installed system-wide.
+
+ make tests
}
package() {